<template>
  <div class="clearAllContainer">
    <span class="clearAllBtn" v-on:click="clearTodo">Clear All</span>
  </div>
</template>

<script>
import { mapMutations } from 'vuex'

export default {
  methods: {
    // 방법 4
    ...mapMutations({
      clearTodo: 'clearAllItems'
    })
    // clearTodo: function() {
      // 방법1
      // localStorage.clear();
      // 방법2
      // this.$emit('clearAll');
      // 방법3
      // this.$store.commit('clearAllItems');
    // }
  }
}
</script>

<style scoped>
.clearAllContainer {
  width: 8.5rem;
  height: 50px;
  line-height: 50px;
  background-color: white;
  border-radius: 5px;
  margin: 0 auto;
}
.clearAllBtn {
  color: #e20303;
  /* 추가 */
  display: block;
}
</style>
